import request from '@/utils/request'

// 查询收货地址列表
export function listAddress(query) {
  return new Promise(resolve => {
    resolve({
      'total': 1,
      'rows': [
        {
          'createBy': null,
          'createTime': '2023-01-13 09:36:21',
          'updateBy': null,
          'updateTime': null,
          'remark': null,
          'id': 1,
          'consignee': '张三',
          'phone': '13250211954',
          'province': '广东省',
          'city': '佛山市',
          'area': '南海区',
          'address': '桂城街道',
          'isDefault': false,
          'userId': 115
        }
      ],
      'code': 200,
      'msg': '查询成功'
    })
  })
}

// 查询收货地址详细
export function getAddress(id) {
  return request({
    url: "/platform/address/" + id,
    method: "get",
  });
}

// 新增收货地址
export function addAddress(data) {
  return request({
    url: "/platform/address",
    method: "post",
    data: data,
  });
}

// 修改收货地址
export function updateAddress(data) {
  return request({
    url: "/platform/address",
    method: "put",
    data: data,
  });
}

// 删除收货地址
export function delAddress(id) {
  return request({
    url: "/platform/address/" + id,
    method: "delete",
  });
}
